<?php

require_once('dbutils.php');

function GetExternalDbPosts($id)
{
	global $externaldb;
	$external = $externaldb[$id];

	$annots = array();
	if(isset($external['external']))
	foreach ($external['external'] as $ex)
	{
		//print_r($loc);
		$n = array();
		$n['title'] = "External Link to ".htmlspecialchars($ex['db']);
		$n['nickname'] = $ex['nickname'];
		$n['karma'] = $ex['karma'];
		$n['uuid'] = $ex['uuid'];
		$n['timestamp'] = $ex['timestamp'];
		$body = "<p>Linked to ".htmlspecialchars($ex['db'])." ".htmlspecialchars($ex['type'])." ".$ex['id'];		
		$body .= " <a href=\"http://www.openstreetmap.org/browse/".htmlspecialchars($ex['type'])."/".$ex['id']."\">Browse</a>";
		$body .= "</p>";
		$n['body'] = $body;

		array_push($annots,$n);
	}
	return $annots;
}

function ChangeKarmaExternalDbPosts($id,$uuid,$vote)
{
	global $externaldb;
	$external = $externaldb[$id];

	if(isset($external['external']))
	foreach ($external['external'] as $index => $com)
	{
		if($com['uuid'] != $uuid) continue;
		$external['external'][$index]['karma'] += (int)$vote;
		$externaldb[$id] = $external;
	}
}

function GetBestOsmLink($id)
{
	$externaldb = new GenericSqliteTable("var/externaldb.db","external");
	$external = $externaldb[$id]; 
	if(!isset($external['external'])) return array(Null,Null);

	$besttype = Null;
	$bestid = Null;
	$besttime = Null;
	$bestkarma = Null;
	if(!isset($external['external'])) return Null;
	foreach ($external['external'] as $ex)
	{
		if(($besttime == Null or $ex['timestamp'] > $besttime)
			and ($bestkarma == Null or $ex['karma']>= $bestkarma))
		{
			$bestid = $ex['id'];
			$besttype = $ex['type'];
			$besttime = $ex['timestamp'];
			$bestkarma = $ex['karma'];
		}

	}
	return array($besttype,$bestid);

}




?>
